# Gimp.file_load_layer

    function file_load_layer(run_mode: Gimp.RunMode, image: Gimp.Image, file: Gio.File): Gimp.Layer {
        // Gjs wrapper for gimp_file_load_layer()
    }

Loads an image file as a layer for an existing image.

This procedure behaves like the file-load procedure but opens the specified image as a layer for an existing image. The returned layer needs to be added to the existing image with Gimp.Image.prototype.insert_layer.

Since 2.4

run_mode

  The run mode.

image

  Destination image.

file

  The file to load.

Returns

  The layer created when loading the image file.